## alien-arena 6.05

=== Makefile ===
#
# CodeRED Makefile
#

# Start of configurable options.

# Which compiler to use.
CC?=gcc

# Enable compilation optimizations when "yes".
OPTIMIZED_CFLAGS?=yes

# Integer from 0 to 3, controls GCC's -O CFLAG.
OPTIM_LVL?=3

# Path to standard libraries (e.g. jpeg).
LOCALBASE?=/usr/local

# Path to X libraries (e.g. GL).
X11BASE?=/usr/X11R6

# Build binary that uses SDL for sound when "1".
SDLSOUND?=1

# Selects the component to build; ALL, GAME, or DEDICATED
BUILD?=ALL

# End of configurable options.

VERSION=		1.40

ARCH:=			$(shell uname -m)
OSTYPE:=		$(shell uname -s | tr A-Z a-z)

MOUNT_DIR=		source/

BUILD_RELEASE_DIR=	release
BUILD_DEBUG_DIR=	debug
CLIENT_DIR=		$(MOUNT_DIR)/client
SERVER_DIR=		$(MOUNT_DIR)/server
REF_GL_DIR=		$(MOUNT_DIR)/ref_gl
COMMON_DIR=		$(MOUNT_DIR)/qcommon
UNIX_DIR=		$(MOUNT_DIR)/unix
GAME_DIR=		$(MOUNT_DIR)/game
NULL_DIR=		$(MOUNT_DIR)/null
ARENA_DIR=		$(GAME_DIR)

ifeq ($(ARCH),x86_64)
	_LIB := lib64
else
	_LIB := lib
endif

BASE_CFLAGS=$(CFLAGS) -Dstricmp=strcasecmp -D_stricmp=strcasecmp -I$(X11BASE)/include

RELEASE_CFLAGS=$(BASE_CFLAGS)

ifeq ($(strip $(OPTIMIZED_CFLAGS)),yes)
RELEASE_CFLAGS+=-O$(OPTIM_LVL) -funroll-loops -fomit-frame-pointer \
		-ftree-vectorize -fexpensive-optimizations

ifeq ($(OSTYPE),linux)
ifeq ($(ARCH),x86_64)
	RELEASE_CFLAGS += -march=k8
else
ifeq ($(ARCH),i686)
	RELEASE_CFLAGS += -march=i686
else
ifeq ($(ARCH),i586)
	RELEASE_CFLAGS += -march=i586
else
ifeq ($(ARCH),i486)
	RELEASE_CFLAGS += -march=i486
else
ifeq ($(ARCH),i386)
	RELEASE_CFLAGS += -march=i386
endif
endif
endif
endif
endif
endif
endif

ARENA_CFLAGS=-DARENA

DEBUG_CFLAGS=$(BASE_CFLAGS) -g -ggdb

LDFLAGS+=-lm
# In FreeBSD, dlopen() is in libc.
ifeq ($(OSTYPE),linux)
LDFLAGS+=-ldl
endif

GLXLDFLAGS=-L$(X11BASE)/$(_LIB) -L$(LOCALBASE)/$(_LIB) -lX11 -lXext -lXxf86dga -lXxf86vm -lm -ljpeg -lGL -lGLU

SDLCFLAGS=$(shell sdl-config --cflags)
SDLLDFLAGS=$(shell sdl-config --libs)

SHLIBEXT=so
SHLIBCFLAGS=-fPIC
SHLIBLDFLAGS=-shared

DO_CC=$(CC) $(CFLAGS) -o $@ -c $<
DO_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) -o $@ -c $<
DO_DED_CC=$(CC) $(CFLAGS) -DDEDICATED_ONLY -o $@ -c $<
DO_DED_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) -DDEDICATED_ONLY -o $@ -c $<
DO_O_CC=$(CC) $(CFLAGS) -O -o $@ -c $<
DO_SHLIB_CC=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<
DO_SHLIB_O_CC=$(CC) $(CFLAGS) -O $(SHLIBCFLAGS) -o $@ -c $<
DO_SHLIB_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<
DO_GL_SHLIB_CC=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<
DO_GL_SHLIB_O_CC=$(CC) $(CFLAGS) -O $(SHLIBCFLAGS) -o $@ -c $<
DO_AS=$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<
DO_SHLIB_AS=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

DO_ARENA_SHLIB_CC=$(CC) $(CFLAGS) $(ARENA_CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<

#############################################################################
# SETUP AND BUILD
#############################################################################

TARGETS=$(BUILDDIR)/game.$(SHLIBEXT) \
	$(BUILDDIR)/arena/game.$(SHLIBEXT)

ifeq ($(strip $(BUILD)),ALL)
	TARGETS+=$(BUILDDIR)/crded \
		$(BUILDDIR)/crx
endif

ifeq ($(strip $(BUILD)),DEDICATED)
	SDLSOUND=0
	TARGETS+=$(BUILDDIR)/crded
endif

ifeq ($(strip $(BUILD)),GAME)
	TARGETS+=$(BUILDDIR)/crx
endif

ifeq ($(strip $(SDLSOUND)),1)
	TARGETS+=$(BUILDDIR)/crx.sdl
endif

build-release:
	@mkdir -p $(BUILD_RELEASE_DIR) \
		$(BUILD_RELEASE_DIR)/client \
		$(BUILD_RELEASE_DIR)/ded \
		$(BUILD_RELEASE_DIR)/ref_gl \
		$(BUILD_RELEASE_DIR)/game \
		$(BUILD_RELEASE_DIR)/arena
	$(MAKE) targets BUILDDIR=$(BUILD_RELEASE_DIR) CFLAGS="$(RELEASE_CFLAGS)"

build-debug:
	@mkdir -p $(BUILD_DEBUG_DIR) \
		$(BUILD_DEBUG_DIR)/client \
		$(BUILD_DEBUG_DIR)/ded \
		$(BUILD_DEBUG_DIR)/ref_gl \
		$(BUILD_DEBUG_DIR)/game \
		$(BUILD_DEBUG_DIR)/arena
	$(MAKE) targets BUILDDIR=$(BUILD_DEBUG_DIR) CFLAGS="$(DEBUG_CFLAGS)"

all: build-release build-debug

targets: $(TARGETS)

#############################################################################
# CLIENT/SERVER
#############################################################################

CODERED_OBJS = \
	$(BUILDDIR)/client/cl_cin.o \
	$(BUILDDIR)/client/cl_ents.o \
	$(BUILDDIR)/client/cl_fx.o \
	$(BUILDDIR)/client/cl_input.o \
	$(BUILDDIR)/client/cl_inv.o \
	$(BUILDDIR)/client/cl_main.o \
	$(BUILDDIR)/client/cl_newfx.o \
	$(BUILDDIR)/client/cl_parse.o \
	$(BUILDDIR)/client/cl_pred.o \
	$(BUILDDIR)/client/cl_tent.o \
	$(BUILDDIR)/client/cl_scrn.o \
	$(BUILDDIR)/client/cl_view.o \
	$(BUILDDIR)/client/console.o \
	$(BUILDDIR)/client/keys.o \
	$(BUILDDIR)/client/menu.o \
	$(BUILDDIR)/client/snd_dma.o \
	$(BUILDDIR)/client/snd_mem.o \
	$(BUILDDIR)/client/snd_mix.o \
	$(BUILDDIR)/client/qmenu.o \
	\
	$(BUILDDIR)/client/cmd.o \
	$(BUILDDIR)/client/cmodel.o \
	$(BUILDDIR)/client/common.o \
	$(BUILDDIR)/client/crc.o \
	$(BUILDDIR)/client/cvar.o \
	$(BUILDDIR)/client/files.o \
	$(BUILDDIR)/client/mdfour.o \
	$(BUILDDIR)/client/net_chan.o \
	\
	$(BUILDDIR)/client/sv_ccmds.o \
	$(BUILDDIR)/client/sv_ents.o \
	$(BUILDDIR)/client/sv_game.o \
	$(BUILDDIR)/client/sv_init.o \
	$(BUILDDIR)/client/sv_main.o \
	$(BUILDDIR)/client/sv_send.o \
	$(BUILDDIR)/client/sv_user.o \
	$(BUILDDIR)/client/sv_world.o \
	\
	$(BUILDDIR)/client/cd_unix.o \
	$(BUILDDIR)/client/q_shunix.o \
	$(BUILDDIR)/client/vid_menu.o \
	$(BUILDDIR)/client/vid_so.o \
	$(BUILDDIR)/client/sys_unix.o \
	$(BUILDDIR)/client/rw_unix.o \
	$(BUILDDIR)/client/glob.o \
	$(BUILDDIR)/client/net_udp.o \
	\
	$(BUILDDIR)/client/q_shared.o \
	$(BUILDDIR)/client/pmove.o \
	\
	$(BUILDDIR)/ref_gl/r_bloom.o \
	$(BUILDDIR)/ref_gl/r_draw.o \
	$(BUILDDIR)/ref_gl/r_image.o \
	$(BUILDDIR)/ref_gl/r_light.o \
	$(BUILDDIR)/ref_gl/r_main.o \
	$(BUILDDIR)/ref_gl/r_mesh.o \
	$(BUILDDIR)/ref_gl/r_misc.o \
	$(BUILDDIR)/ref_gl/r_model.o \
	$(BUILDDIR)/ref_gl/r_refl.o \
	$(BUILDDIR)/ref_gl/r_math.o \
	$(BUILDDIR)/ref_gl/r_script.o \
	$(BUILDDIR)/ref_gl/r_surf.o \
	$(BUILDDIR)/ref_gl/r_vlights.o \
	$(BUILDDIR)/ref_gl/r_warp.o \
	\
	$(BUILDDIR)/ref_gl/qgl_unix.o


REF_GL_GLX_OBJS = \
	$(BUILDDIR)/ref_gl/gl_glx.o

SOUND_OSS_OBJS = \
	$(BUILDDIR)/client/snd_unix.o

SOUND_SDL_OBJS = \
	$(BUILDDIR)/client/snd_sdl.o

CODERED_AS_OBJS = \
	$(BUILDDIR)/client/snd_mixa.o

$(BUILDDIR)/crx : $(CODERED_OBJS) $(SOUND_OSS_OBJS) $(CODERED_AS_OBJS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS)
	$(CC) $(CFLAGS) -o $@ $(CODERED_OBJS) $(SOUND_OSS_OBJS) $(CODERED_AS_OBJS) $(LDFLAGS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS) $(GLXLDFLAGS)

$(BUILDDIR)/crx.sdl : $(CODERED_OBJS) $(SOUND_SDL_OBJS) $(CODERED_AS_OBJS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS)
	$(CC) $(CFLAGS) -o $@ $(CODERED_OBJS) $(SOUND_SDL_OBJS) $(CODERED_AS_OBJS) $(LDFLAGS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS) $(GLXLDFLAGS) $(SDLLDFLAGS)

$(BUILDDIR)/client/cl_cin.o :     $(CLIENT_DIR)/cl_cin.c
	$(DO_CC)

$(BUILDDIR)/client/cl_ents.o :    $(CLIENT_DIR)/cl_ents.c
	$(DO_CC)

$(BUILDDIR)/client/cl_fx.o :      $(CLIENT_DIR)/cl_fx.c
	$(DO_CC)

$(BUILDDIR)/client/cl_input.o :   $(CLIENT_DIR)/cl_input.c
	$(DO_CC)

$(BUILDDIR)/client/cl_inv.o :     $(CLIENT_DIR)/cl_inv.c
	$(DO_CC)

$(BUILDDIR)/client/cl_main.o :    $(CLIENT_DIR)/cl_main.c
	$(DO_CC)

$(BUILDDIR)/client/cl_newfx.o :    $(CLIENT_DIR)/cl_newfx.c
	$(DO_CC)

$(BUILDDIR)/client/cl_parse.o :   $(CLIENT_DIR)/cl_parse.c
	$(DO_CC)

$(BUILDDIR)/client/cl_pred.o :    $(CLIENT_DIR)/cl_pred.c
	$(DO_CC)

$(BUILDDIR)/client/cl_tent.o :    $(CLIENT_DIR)/cl_tent.c
	$(DO_CC)

$(BUILDDIR)/client/cl_scrn.o :    $(CLIENT_DIR)/cl_scrn.c
	$(DO_CC)

$(BUILDDIR)/client/cl_view.o :    $(CLIENT_DIR)/cl_view.c
	$(DO_CC)

$(BUILDDIR)/client/console.o :    $(CLIENT_DIR)/console.c
	$(DO_CC)

$(BUILDDIR)/client/keys.o :       $(CLIENT_DIR)/keys.c
	$(DO_CC)

$(BUILDDIR)/client/menu.o :       $(CLIENT_DIR)/menu.c
	$(DO_CC)

$(BUILDDIR)/client/snd_dma.o :    $(CLIENT_DIR)/snd_dma.c
	$(DO_CC)

$(BUILDDIR)/client/snd_mem.o :    $(CLIENT_DIR)/snd_mem.c
	$(DO_CC)

$(BUILDDIR)/client/snd_mix.o :    $(CLIENT_DIR)/snd_mix.c
	$(DO_CC)

$(BUILDDIR)/client/qmenu.o :      $(CLIENT_DIR)/qmenu.c
	$(DO_CC)

$(BUILDDIR)/client/cmd.o :        $(COMMON_DIR)/cmd.c
	$(DO_CC)

$(BUILDDIR)/client/cmodel.o :     $(COMMON_DIR)/cmodel.c
	$(DO_CC)

$(BUILDDIR)/client/common.o :     $(COMMON_DIR)/common.c
	$(DO_CC)

$(BUILDDIR)/client/crc.o :        $(COMMON_DIR)/crc.c
	$(DO_CC)

$(BUILDDIR)/client/cvar.o :       $(COMMON_DIR)/cvar.c
	$(DO_CC)

$(BUILDDIR)/client/files.o :      $(COMMON_DIR)/files.c
	$(DO_CC)

$(BUILDDIR)/client/mdfour.o :     $(COMMON_DIR)/mdfour.c
	$(DO_CC)

$(BUILDDIR)/client/net_chan.o :   $(COMMON_DIR)/net_chan.c
	$(DO_CC)

$(BUILDDIR)/client/q_shared.o :   $(GAME_DIR)/q_shared.c
	$(DO_DEBUG_CC)

$(BUILDDIR)/client/pmove.o :      $(COMMON_DIR)/pmove.c
	$(DO_CC)

$(BUILDDIR)/client/sv_ccmds.o :   $(SERVER_DIR)/sv_ccmds.c
	$(DO_CC)

$(BUILDDIR)/client/sv_ents.o :    $(SERVER_DIR)/sv_ents.c
	$(DO_CC)

$(BUILDDIR)/client/sv_game.o :    $(SERVER_DIR)/sv_game.c
	$(DO_CC)

$(BUILDDIR)/client/sv_init.o :    $(SERVER_DIR)/sv_init.c
	$(DO_CC)

$(BUILDDIR)/client/sv_main.o :    $(SERVER_DIR)/sv_main.c
	$(DO_CC)

$(BUILDDIR)/client/sv_send.o :    $(SERVER_DIR)/sv_send.c
	$(DO_CC)

$(BUILDDIR)/client/sv_user.o :    $(SERVER_DIR)/sv_user.c
	$(DO_CC)

$(BUILDDIR)/client/sv_world.o :   $(SERVER_DIR)/sv_world.c
	$(DO_CC)

$(BUILDDIR)/client/cd_unix.o :   $(UNIX_DIR)/cd_unix.c
	$(DO_CC)

$(BUILDDIR)/client/q_shunix.o :  $(UNIX_DIR)/q_shunix.c
	$(DO_O_CC)

$(BUILDDIR)/client/vid_menu.o :   $(UNIX_DIR)/vid_menu.c
	$(DO_CC)

$(BUILDDIR)/client/vid_so.o :     $(UNIX_DIR)/vid_so.c
	$(DO_CC)

$(BUILDDIR)/client/snd_unix.o :  $(UNIX_DIR)/snd_unix.c
	$(DO_CC)

$(BUILDDIR)/client/snd_mixa.o :   $(UNIX_DIR)/snd_mixa.s
	$(DO_AS)

$(BUILDDIR)/client/sys_unix.o :  $(UNIX_DIR)/sys_unix.c
	$(DO_CC)

$(BUILDDIR)/client/rw_unix.o :  $(UNIX_DIR)/rw_unix.c
	$(DO_O_CC)

$(BUILDDIR)/client/glob.o :       $(UNIX_DIR)/glob.c
	$(DO_CC)

$(BUILDDIR)/client/net_udp.o :    $(UNIX_DIR)/net_udp.c
	$(DO_CC)

$(BUILDDIR)/ref_gl/r_bloom.o :        $(REF_GL_DIR)/r_bloom.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_draw.o :        $(REF_GL_DIR)/r_draw.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_light.o :       $(REF_GL_DIR)/r_light.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_main.o :       $(REF_GL_DIR)/r_main.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_misc.o :       $(REF_GL_DIR)/r_misc.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_script.o :       $(REF_GL_DIR)/r_script.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_surf.o :       $(REF_GL_DIR)/r_surf.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_warp.o :        $(REF_GL_DIR)/r_warp.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_image.o :       $(REF_GL_DIR)/r_image.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_mesh.o :        $(REF_GL_DIR)/r_mesh.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_model.o :       $(REF_GL_DIR)/r_model.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_refl.o :       $(REF_GL_DIR)/r_refl.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_math.o :	    $(REF_GL_DIR)/r_math.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_vlights.o:     $(REF_GL_DIR)/r_vlights.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/qgl_unix.o :      $(UNIX_DIR)/qgl_unix.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/gl_glx.o :      $(UNIX_DIR)/gl_glx.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/client/snd_sdl.o :     $(UNIX_DIR)/snd_sdl.c
	$(DO_CC) $(SDLCFLAGS)

#############################################################################
# DEDICATED SERVER
#############################################################################

CRDED_OBJS = \
	\
	$(BUILDDIR)/ded/cmd.o \
	$(BUILDDIR)/ded/cmodel.o \
	$(BUILDDIR)/ded/common.o \
	$(BUILDDIR)/ded/crc.o \
	$(BUILDDIR)/ded/cvar.o \
	$(BUILDDIR)/ded/files.o \
	$(BUILDDIR)/ded/mdfour.o \
	$(BUILDDIR)/ded/net_chan.o \
	\
	$(BUILDDIR)/ded/sv_ccmds.o \
	$(BUILDDIR)/ded/sv_ents.o \
	$(BUILDDIR)/ded/sv_game.o \
	$(BUILDDIR)/ded/sv_init.o \
	$(BUILDDIR)/ded/sv_main.o \
	$(BUILDDIR)/ded/sv_send.o \
	$(BUILDDIR)/ded/sv_user.o \
	$(BUILDDIR)/ded/sv_world.o \
	\
	$(BUILDDIR)/ded/q_shunix.o \
	$(BUILDDIR)/ded/sys_unix.o \
	$(BUILDDIR)/ded/glob.o \

## alien-arena 6.10

=== source/Makefile ===
#
# CodeRED Makefile
#

# Start of configurable options.

# Which compiler to use.
CC?=gcc

# Enable compilation optimizations when "yes".
OPTIMIZED_CFLAGS?=yes

# Integer from 0 to 3, controls GCC's -O CFLAG.
OPTIM_LVL?=2

# Path to standard libraries (e.g. jpeg).
LOCALBASE?=/usr/local

# Path to X libraries (e.g. GL).
X11BASE?=/usr/X11R6

# Build binary that uses SDL for sound when "1".
SDLSOUND?=1

# Selects the component to build; ALL, GAME, or DEDICATED
BUILD?=ALL

# End of configurable options.

VERSION=		1.40

ARCH:=			$(shell uname -m)
OSTYPE:=		$(shell uname -s | tr A-Z a-z)

MOUNT_DIR=		./

BUILD_RELEASE_DIR=	release
BUILD_DEBUG_DIR=	debug
CLIENT_DIR=		$(MOUNT_DIR)/client
SERVER_DIR=		$(MOUNT_DIR)/server
REF_GL_DIR=		$(MOUNT_DIR)/ref_gl
COMMON_DIR=		$(MOUNT_DIR)/qcommon
UNIX_DIR=		$(MOUNT_DIR)/unix
GAME_DIR=		$(MOUNT_DIR)/game
NULL_DIR=		$(MOUNT_DIR)/null
ARENA_DIR=		$(GAME_DIR)

ifeq ($(ARCH),x86_64)
	_LIB := lib64
else
	_LIB := lib
endif

BASE_CFLAGS=$(CFLAGS) -Dstricmp=strcasecmp -D_stricmp=strcasecmp -I$(X11BASE)/include -fno-strict-aliasing -fmerge-constants

RELEASE_CFLAGS=$(BASE_CFLAGS)

ifeq ($(strip $(OPTIMIZED_CFLAGS)),yes)
RELEASE_CFLAGS+=-O$(OPTIM_LVL) -fomit-frame-pointer \
		-ftree-vectorize -fexpensive-optimizations

ifeq ($(OSTYPE),linux)
ifeq ($(ARCH),x86_64)
	RELEASE_CFLAGS += -march=k8
else
ifeq ($(ARCH),i686)
	RELEASE_CFLAGS += -march=i686
else
ifeq ($(ARCH),i586)
	RELEASE_CFLAGS += -march=i586
else
ifeq ($(ARCH),i486)
	RELEASE_CFLAGS += -march=i486
else
ifeq ($(ARCH),i386)
	RELEASE_CFLAGS += -march=i386
endif
endif
endif
endif
endif
endif
endif

ifeq ($(shell curl -V | grep -c .), 3)
	BASE_CFLAGS += -DHAVE_CURL
endif

ARENA_CFLAGS=-DARENA

DEBUG_CFLAGS=$(BASE_CFLAGS) -g -ggdb

LDFLAGS+=-lm
# In FreeBSD, dlopen() is in libc.
ifeq ($(OSTYPE),linux)
	LDFLAGS+=-ldl
endif

GLXLDFLAGS=-L$(X11BASE)/$(_LIB) -L$(LOCALBASE)/$(_LIB) -lX11 -lXext -lXxf86dga -lXxf86vm -lm -ljpeg -lGL -lGLU

SDLCFLAGS=$(shell sdl-config --cflags)
SDLLDFLAGS=$(shell sdl-config --libs)

SHLIBEXT=so
SHLIBCFLAGS=-fPIC
SHLIBLDFLAGS=-shared

CURLCFLAGS=$(shell curl-config --cflags)
CURLLDFLAGS=$(shell curl-config --libs)

JPEGLDFLAGS=-ljpeg
PNGLDFLAGS=-lpng

DO_CC=$(CC) $(CFLAGS) -o $@ -c $<
DO_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) -o $@ -c $<
DO_DED_CC=$(CC) $(CFLAGS) -DDEDICATED_ONLY -o $@ -c $<
DO_DED_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) -DDEDICATED_ONLY -o $@ -c $<
DO_O_CC=$(CC) $(CFLAGS) -O -o $@ -c $<
DO_SHLIB_CC=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<
DO_SHLIB_O_CC=$(CC) $(CFLAGS) -O $(SHLIBCFLAGS) -o $@ -c $<
DO_SHLIB_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<
DO_GL_SHLIB_CC=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<
DO_GL_SHLIB_O_CC=$(CC) $(CFLAGS) -O $(SHLIBCFLAGS) -o $@ -c $<
DO_AS=$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<
DO_SHLIB_AS=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<

DO_ARENA_SHLIB_CC=$(CC) $(CFLAGS) $(ARENA_CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<

#############################################################################
# SETUP AND BUILD
#############################################################################

TARGETS=$(BUILDDIR)/game.$(SHLIBEXT) \
	$(BUILDDIR)/arena/game.$(SHLIBEXT)

ifeq ($(strip $(BUILD)),ALL)
	TARGETS+=$(BUILDDIR)/crded \
		$(BUILDDIR)/crx
endif

ifeq ($(strip $(BUILD)),DEDICATED)
	SDLSOUND=0
	TARGETS+=$(BUILDDIR)/crded
endif

ifeq ($(strip $(BUILD)),GAME)
	TARGETS+=$(BUILDDIR)/crx
endif

ifeq ($(strip $(SDLSOUND)),1)
	TARGETS+=$(BUILDDIR)/crx.sdl
endif

build-release:
	@mkdir -p $(BUILD_RELEASE_DIR) \
		$(BUILD_RELEASE_DIR)/client \
		$(BUILD_RELEASE_DIR)/ded \
		$(BUILD_RELEASE_DIR)/ref_gl \
		$(BUILD_RELEASE_DIR)/game \
		$(BUILD_RELEASE_DIR)/arena
	$(MAKE) targets BUILDDIR=$(BUILD_RELEASE_DIR) CFLAGS="$(RELEASE_CFLAGS)"

build-debug:
	@mkdir -p $(BUILD_DEBUG_DIR) \
		$(BUILD_DEBUG_DIR)/client \
		$(BUILD_DEBUG_DIR)/ded \
		$(BUILD_DEBUG_DIR)/ref_gl \
		$(BUILD_DEBUG_DIR)/game \
		$(BUILD_DEBUG_DIR)/arena
	$(MAKE) targets BUILDDIR=$(BUILD_DEBUG_DIR) CFLAGS="$(DEBUG_CFLAGS)"

all: build-release build-debug

targets: $(TARGETS)

#############################################################################
# CLIENT/SERVER
#############################################################################

CODERED_OBJS = \
	$(BUILDDIR)/client/cl_cin.o \
	$(BUILDDIR)/client/cl_ents.o \
	$(BUILDDIR)/client/cl_fx.o \
	$(BUILDDIR)/client/cl_input.o \
	$(BUILDDIR)/client/cl_inv.o \
	$(BUILDDIR)/client/cl_main.o \
	$(BUILDDIR)/client/cl_newfx.o \
	$(BUILDDIR)/client/cl_parse.o \
	$(BUILDDIR)/client/cl_pred.o \
	$(BUILDDIR)/client/cl_tent.o \
	$(BUILDDIR)/client/cl_scrn.o \
	$(BUILDDIR)/client/cl_view.o \
	$(BUILDDIR)/client/cl_http.o \
	$(BUILDDIR)/client/console.o \
	$(BUILDDIR)/client/keys.o \
	$(BUILDDIR)/client/menu.o \
	$(BUILDDIR)/client/snd_dma.o \
	$(BUILDDIR)/client/snd_mem.o \
	$(BUILDDIR)/client/snd_mix.o \
	$(BUILDDIR)/client/qmenu.o \
	\
	$(BUILDDIR)/client/cmd.o \
	$(BUILDDIR)/client/cmodel.o \
	$(BUILDDIR)/client/common.o \
	$(BUILDDIR)/client/crc.o \
	$(BUILDDIR)/client/cvar.o \
	$(BUILDDIR)/client/files.o \
	$(BUILDDIR)/client/mdfour.o \
	$(BUILDDIR)/client/net_chan.o \
	\
	$(BUILDDIR)/client/sv_ccmds.o \
	$(BUILDDIR)/client/sv_ents.o \
	$(BUILDDIR)/client/sv_game.o \
	$(BUILDDIR)/client/sv_init.o \
	$(BUILDDIR)/client/sv_main.o \
	$(BUILDDIR)/client/sv_send.o \
	$(BUILDDIR)/client/sv_user.o \
	$(BUILDDIR)/client/sv_world.o \
	\
	$(BUILDDIR)/client/q_shunix.o \
	$(BUILDDIR)/client/vid_menu.o \
	$(BUILDDIR)/client/vid_so.o \
	$(BUILDDIR)/client/sys_unix.o \
	$(BUILDDIR)/client/rw_unix.o \
	$(BUILDDIR)/client/glob.o \
	$(BUILDDIR)/client/net_udp.o \
	\
	$(BUILDDIR)/client/q_shared.o \
	$(BUILDDIR)/client/pmove.o \
	\
	$(BUILDDIR)/ref_gl/r_bloom.o \
	$(BUILDDIR)/ref_gl/r_draw.o \
	$(BUILDDIR)/ref_gl/r_image.o \
	$(BUILDDIR)/ref_gl/r_light.o \
	$(BUILDDIR)/ref_gl/r_main.o \
	$(BUILDDIR)/ref_gl/r_mesh.o \
	$(BUILDDIR)/ref_gl/r_misc.o \
	$(BUILDDIR)/ref_gl/r_model.o \
	$(BUILDDIR)/ref_gl/r_refl.o \
	$(BUILDDIR)/ref_gl/r_math.o \
	$(BUILDDIR)/ref_gl/r_script.o \
	$(BUILDDIR)/ref_gl/r_surf.o \
	$(BUILDDIR)/ref_gl/r_vlights.o \
	$(BUILDDIR)/ref_gl/r_warp.o \
	\
	$(BUILDDIR)/ref_gl/qgl_unix.o


REF_GL_GLX_OBJS = \
	$(BUILDDIR)/ref_gl/gl_glx.o

SOUND_OSS_OBJS = \
	$(BUILDDIR)/client/snd_unix.o

SOUND_SDL_OBJS = \
	$(BUILDDIR)/client/snd_sdl.o

CODERED_AS_OBJS = \
	$(BUILDDIR)/client/snd_mixa.o

$(BUILDDIR)/crx : $(CODERED_OBJS) $(SOUND_OSS_OBJS) $(CODERED_AS_OBJS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS)
	$(CC) $(CFLAGS) -o $@ $(CODERED_OBJS) $(SOUND_OSS_OBJS) $(CODERED_AS_OBJS) $(LDFLAGS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS) $(GLXLDFLAGS) $(CURLLDFLAGS) $(PNGLDFLAGS) $(JPEGLDFLAGS)

$(BUILDDIR)/crx.sdl : $(CODERED_OBJS) $(SOUND_SDL_OBJS) $(CODERED_AS_OBJS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS)
	$(CC) $(CFLAGS) -o $@ $(CODERED_OBJS) $(SOUND_SDL_OBJS) $(CODERED_AS_OBJS) $(LDFLAGS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS) $(GLXLDFLAGS) $(SDLLDFLAGS) $(CURLLDFLAGS) $(PNGLDFLAGS) $(JPEGLDFLAGS)

$(BUILDDIR)/client/cl_cin.o :     $(CLIENT_DIR)/cl_cin.c
	$(DO_CC)

$(BUILDDIR)/client/cl_ents.o :    $(CLIENT_DIR)/cl_ents.c
	$(DO_CC)

$(BUILDDIR)/client/cl_fx.o :      $(CLIENT_DIR)/cl_fx.c
	$(DO_CC)

$(BUILDDIR)/client/cl_input.o :   $(CLIENT_DIR)/cl_input.c
	$(DO_CC)

$(BUILDDIR)/client/cl_inv.o :     $(CLIENT_DIR)/cl_inv.c
	$(DO_CC)

$(BUILDDIR)/client/cl_main.o :    $(CLIENT_DIR)/cl_main.c
	$(DO_CC)

$(BUILDDIR)/client/cl_newfx.o :    $(CLIENT_DIR)/cl_newfx.c
	$(DO_CC)

$(BUILDDIR)/client/cl_parse.o :   $(CLIENT_DIR)/cl_parse.c
	$(DO_CC)

$(BUILDDIR)/client/cl_pred.o :    $(CLIENT_DIR)/cl_pred.c
	$(DO_CC)

$(BUILDDIR)/client/cl_tent.o :    $(CLIENT_DIR)/cl_tent.c
	$(DO_CC)

$(BUILDDIR)/client/cl_scrn.o :    $(CLIENT_DIR)/cl_scrn.c
	$(DO_CC)

$(BUILDDIR)/client/cl_view.o :    $(CLIENT_DIR)/cl_view.c
	$(DO_CC)

$(BUILDDIR)/client/console.o :    $(CLIENT_DIR)/console.c
	$(DO_CC)

$(BUILDDIR)/client/keys.o :       $(CLIENT_DIR)/keys.c
	$(DO_CC)

$(BUILDDIR)/client/menu.o :       $(CLIENT_DIR)/menu.c
	$(DO_CC)

$(BUILDDIR)/client/snd_dma.o :    $(CLIENT_DIR)/snd_dma.c
	$(DO_CC)

$(BUILDDIR)/client/snd_mem.o :    $(CLIENT_DIR)/snd_mem.c
	$(DO_CC)

$(BUILDDIR)/client/snd_mix.o :    $(CLIENT_DIR)/snd_mix.c
	$(DO_CC)

$(BUILDDIR)/client/qmenu.o :      $(CLIENT_DIR)/qmenu.c
	$(DO_CC)

$(BUILDDIR)/client/cmd.o :        $(COMMON_DIR)/cmd.c
	$(DO_CC)

$(BUILDDIR)/client/cmodel.o :     $(COMMON_DIR)/cmodel.c
	$(DO_CC)

$(BUILDDIR)/client/common.o :     $(COMMON_DIR)/common.c
	$(DO_CC)

$(BUILDDIR)/client/crc.o :        $(COMMON_DIR)/crc.c
	$(DO_CC)

$(BUILDDIR)/client/cvar.o :       $(COMMON_DIR)/cvar.c
	$(DO_CC)

$(BUILDDIR)/client/files.o :      $(COMMON_DIR)/files.c
	$(DO_CC)

$(BUILDDIR)/client/mdfour.o :     $(COMMON_DIR)/mdfour.c
	$(DO_CC)

$(BUILDDIR)/client/net_chan.o :   $(COMMON_DIR)/net_chan.c
	$(DO_CC)

$(BUILDDIR)/client/q_shared.o :   $(GAME_DIR)/q_shared.c
	$(DO_DEBUG_CC)

$(BUILDDIR)/client/pmove.o :      $(COMMON_DIR)/pmove.c
	$(DO_CC)

$(BUILDDIR)/client/sv_ccmds.o :   $(SERVER_DIR)/sv_ccmds.c
	$(DO_CC)

$(BUILDDIR)/client/sv_ents.o :    $(SERVER_DIR)/sv_ents.c
	$(DO_CC)

$(BUILDDIR)/client/sv_game.o :    $(SERVER_DIR)/sv_game.c
	$(DO_CC)

$(BUILDDIR)/client/sv_init.o :    $(SERVER_DIR)/sv_init.c
	$(DO_CC)

$(BUILDDIR)/client/sv_main.o :    $(SERVER_DIR)/sv_main.c
	$(DO_CC)

$(BUILDDIR)/client/sv_send.o :    $(SERVER_DIR)/sv_send.c
	$(DO_CC)

$(BUILDDIR)/client/sv_user.o :    $(SERVER_DIR)/sv_user.c
	$(DO_CC)

$(BUILDDIR)/client/sv_world.o :   $(SERVER_DIR)/sv_world.c
	$(DO_CC)

$(BUILDDIR)/client/q_shunix.o :  $(UNIX_DIR)/q_shunix.c
	$(DO_O_CC)

$(BUILDDIR)/client/vid_menu.o :   $(CLIENT_DIR)/vid_menu.c
	$(DO_CC)

$(BUILDDIR)/client/vid_so.o :     $(UNIX_DIR)/vid_so.c
	$(DO_CC)

$(BUILDDIR)/client/snd_unix.o :  $(UNIX_DIR)/snd_unix.c
	$(DO_CC)

$(BUILDDIR)/client/snd_mixa.o :   $(UNIX_DIR)/snd_mixa.s
	$(DO_AS)

$(BUILDDIR)/client/sys_unix.o :  $(UNIX_DIR)/sys_unix.c
	$(DO_CC)

$(BUILDDIR)/client/rw_unix.o :  $(UNIX_DIR)/rw_unix.c
	$(DO_O_CC)

$(BUILDDIR)/client/glob.o :       $(UNIX_DIR)/glob.c
	$(DO_CC)

$(BUILDDIR)/client/net_udp.o :    $(UNIX_DIR)/net_udp.c
	$(DO_CC)

$(BUILDDIR)/client/cl_http.o :   $(CLIENT_DIR)/cl_http.c
	$(DO_CC) $(CURLCFLAGS)

$(BUILDDIR)/ref_gl/r_bloom.o :        $(REF_GL_DIR)/r_bloom.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_draw.o :        $(REF_GL_DIR)/r_draw.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_light.o :       $(REF_GL_DIR)/r_light.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_main.o :       $(REF_GL_DIR)/r_main.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_misc.o :       $(REF_GL_DIR)/r_misc.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_script.o :       $(REF_GL_DIR)/r_script.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_surf.o :       $(REF_GL_DIR)/r_surf.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_warp.o :        $(REF_GL_DIR)/r_warp.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_image.o :       $(REF_GL_DIR)/r_image.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_mesh.o :        $(REF_GL_DIR)/r_mesh.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_model.o :       $(REF_GL_DIR)/r_model.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_refl.o :       $(REF_GL_DIR)/r_refl.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_math.o :	    $(REF_GL_DIR)/r_math.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/r_vlights.o:     $(REF_GL_DIR)/r_vlights.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/qgl_unix.o :      $(UNIX_DIR)/qgl_unix.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/ref_gl/gl_glx.o :      $(UNIX_DIR)/gl_glx.c
	$(DO_GL_SHLIB_CC)

$(BUILDDIR)/client/snd_sdl.o :     $(UNIX_DIR)/snd_sdl.c
	$(DO_CC) $(SDLCFLAGS)

#############################################################################
# DEDICATED SERVER
#############################################################################

CRDED_OBJS = \
	\
	$(BUILDDIR)/ded/cmd.o \
	$(BUILDDIR)/ded/cmodel.o \
	$(BUILDDIR)/ded/common.o \
	$(BUILDDIR)/ded/crc.o \
	$(BUILDDIR)/ded/cvar.o \
	$(BUILDDIR)/ded/files.o \
	$(BUILDDIR)/ded/mdfour.o \
	$(BUILDDIR)/ded/net_chan.o \
	\

## alien-arena 7.0

=== FUSE/Makefile ===
# FUSE makefile
CC?=gcc

# Compiler options
CFLAGS=-DLINUX -c -Wall -g

# Linker options
LDFLAGS=

# Paths for dependent include files
CFLAGS+=`pkg-config --cflags gtk+-2.0`
CFLAGS+=`pkg-config --cflags libglade-2.0`

# Paths for dependent libraries
LDFLAGS+=`pkg-config --libs gtk+-2.0`
LDFLAGS+=`pkg-config --libs libglade-2.0`

# The build sources themselves
SRCS = main.c slink.c models.c config.c
HDRS = slink.h models.h global.h config.h
OBJS = $(subst .c,.o,$(SRCS))

# The files put into releases
RELEASE_FILES_LINUX = Makefile $(SRCS) $(HDRS) fuse.glade fuse.ico COPYING.TXT BUILDING.TXT
RELEASE_FILES_WINDOWS = fuse.exe fuse.glade iconv.dll libglade-2.0-0.dll COPYING.TXT


all: FUSE

FUSE: $(OBJS)
	$(CC) $(LDFLAGS) $(OBJS) -o FUSE

.c.o:
	$(CC) $(CFLAGS) $*.c

depend:
	makedepend -- $(CFLAGS) -- $(SRCS)

clean:
	rm -f $(OBJS) FUSE


release-windows: fuse.exe
	@mkdir FUSE
	cp $(RELEASE_FILES_WINDOWS) FUSE
	zip -r FUSE.zip FUSE
	@rm -rf FUSE
	@echo ***Windows release complete***
	
release-linux: FUSE
	@mkdir fuse
	@cp $(RELEASE_FILES_LINUX) fuse
	tar czf fuse.tar.gz fuse
	@rm -rf fuse
	@echo ***Linux release complete***

release-all: release-linux release-windows

release-clean:
	rm -f fuse.zip fuse.tar.gz

clean-all: clean release-clean

# DO NOT DELETE

=== source/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # CodeRED Makefile
 #
 
-# Start of configurable options.
+# Start of configurable options (boolean vars can be set to "yes" or "no").
 
 # Which compiler to use.
 CC?=gcc
@@ -19,11 +19,15 @@
 # Path to X libraries (e.g. GL).
 X11BASE?=/usr/X11R6
 
-# Build binary that uses SDL for sound when "1".
-SDLSOUND?=1
-
-# Selects the component to build; ALL, GAME, or DEDICATED
+# Selects the component to build: ALL, CLIENT, or DEDICATED
 BUILD?=ALL
+
+# Build binary that uses SDL for sound (when BUILD is "ALL" or "CLIENT").
+SDLSOUND?=yes
+
+# Adds DATADIR/LIBDIR (see below) to the data and library search path.
+WITH_DATADIR?=no
+WITH_LIBDIR?=no
 
 # End of configurable options.
 
@@ -51,13 +55,26 @@
 	_LIB := lib
 endif
 
-BASE_CFLAGS=$(CFLAGS) -Dstricmp=strcasecmp -D_stricmp=strcasecmp -I$(X11BASE)/include -fno-strict-aliasing -fmerge-constants
+BASE_CFLAGS=$(CFLAGS) -Dstricmp=strcasecmp -D_stricmp=strcasecmp -I$(X11BASE)/include -fno-strict-aliasing -fmerge-constants -DHAVE_CURL
+
+# DATADIR / LIBDIR support.
+
+PREFIX?=/usr/local
+
+ifeq ($(strip $(WITH_DATADIR)),yes)
+DATADIR?=$(PREFIX)/share/alienarena
+BASE_CFLAGS+=-DDATADIR='\"$(DATADIR)\"'
+endif
+
+ifeq ($(strip $(WITH_LIBDIR)),yes)
+LIBDIR?=$(PREFIX)/lib/alienarena
+BASE_CFLAGS+=-DLIBDIR='\"$(LIBDIR)\"'
+endif
 
 RELEASE_CFLAGS=$(BASE_CFLAGS)
 
 ifeq ($(strip $(OPTIMIZED_CFLAGS)),yes)
-RELEASE_CFLAGS+=-O$(OPTIM_LVL) -fomit-frame-pointer \
-		-ftree-vectorize -fexpensive-optimizations
+RELEASE_CFLAGS+=-O$(OPTIM_LVL) -fomit-frame-pointer -fexpensive-optimizations
 
 ifeq ($(OSTYPE),linux)
 ifeq ($(ARCH),x86_64)
@@ -82,10 +99,6 @@
 endif
 endif
 
-ifeq ($(shell curl -V | grep -c .), 3)
-	BASE_CFLAGS += -DHAVE_CURL
-endif
-
 ARENA_CFLAGS=-DARENA
 
 DEBUG_CFLAGS=$(BASE_CFLAGS) -g -ggdb
@@ -93,7 +106,7 @@
 LDFLAGS+=-lm
 # In FreeBSD, dlopen() is in libc.
 ifeq ($(OSTYPE),linux)
-	LDFLAGS+=-ldl
+LDFLAGS+=-ldl
 endif
 
 GLXLDFLAGS=-L$(X11BASE)/$(_LIB) -L$(LOCALBASE)/$(_LIB) -lX11 -lXext -lXxf86dga -lXxf86vm -lm -ljpeg -lGL -lGLU
@@ -109,7 +122,6 @@
 CURLLDFLAGS=$(shell curl-config --libs)
 
 JPEGLDFLAGS=-ljpeg
-PNGLDFLAGS=-lpng
 
 DO_CC=$(CC) $(CFLAGS) -o $@ -c $<
 DO_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) -o $@ -c $<
@@ -138,16 +150,16 @@
 		$(BUILDDIR)/crx
 endif
 
+ifeq ($(strip $(BUILD)),CLIENT)
+	TARGETS+=$(BUILDDIR)/crx
+endif
+
 ifeq ($(strip $(BUILD)),DEDICATED)
-	SDLSOUND=0
+	SDLSOUND=no
 	TARGETS+=$(BUILDDIR)/crded
 endif
 
-ifeq ($(strip $(BUILD)),GAME)
-	TARGETS+=$(BUILDDIR)/crx
-endif
-
-ifeq ($(strip $(SDLSOUND)),1)
+ifeq ($(strip $(SDLSOUND)),yes)
 	TARGETS+=$(BUILDDIR)/crx.sdl
 endif
 
@@ -259,10 +271,10 @@
 	$(BUILDDIR)/client/snd_mixa.o
 
 $(BUILDDIR)/crx : $(CODERED_OBJS) $(SOUND_OSS_OBJS) $(CODERED_AS_OBJS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS)
-	$(CC) $(CFLAGS) -o $@ $(CODERED_OBJS) $(SOUND_OSS_OBJS) $(CODERED_AS_OBJS) $(LDFLAGS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS) $(GLXLDFLAGS) $(CURLLDFLAGS) $(PNGLDFLAGS) $(JPEGLDFLAGS)
+	$(CC) $(CFLAGS) -o $@ $(CODERED_OBJS) $(SOUND_OSS_OBJS) $(CODERED_AS_OBJS) $(LDFLAGS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS) $(GLXLDFLAGS) $(CURLLDFLAGS) $(JPEGLDFLAGS)
 
 $(BUILDDIR)/crx.sdl : $(CODERED_OBJS) $(SOUND_SDL_OBJS) $(CODERED_AS_OBJS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS)
-	$(CC) $(CFLAGS) -o $@ $(CODERED_OBJS) $(SOUND_SDL_OBJS) $(CODERED_AS_OBJS) $(LDFLAGS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS) $(GLXLDFLAGS) $(SDLLDFLAGS) $(CURLLDFLAGS) $(PNGLDFLAGS) $(JPEGLDFLAGS)
+	$(CC) $(CFLAGS) -o $@ $(CODERED_OBJS) $(SOUND_SDL_OBJS) $(CODERED_AS_OBJS) $(LDFLAGS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS) $(GLXLDFLAGS) $(SDLLDFLAGS) $(CURLLDFLAGS) $(JPEGLDFLAGS)
 
 $(BUILDDIR)/client/cl_cin.o :     $(CLIENT_DIR)/cl_cin.c
 	$(DO_CC)
@@ -458,16 +470,3 @@
 
 #############################################################################
 # DEDICATED SERVER
-#############################################################################
-
-CRDED_OBJS = \
-	\
-	$(BUILDDIR)/ded/cmd.o \
-	$(BUILDDIR)/ded/cmodel.o \
-	$(BUILDDIR)/ded/common.o \
-	$(BUILDDIR)/ded/crc.o \
-	$(BUILDDIR)/ded/cvar.o \
-	$(BUILDDIR)/ded/files.o \
-	$(BUILDDIR)/ded/mdfour.o \
-	$(BUILDDIR)/ded/net_chan.o \
-	\

## alien-arena 7.33

=== source/Makefile ===
--- 
+++ 
@@ -21,9 +21,6 @@
 
 # Selects the component to build: ALL, CLIENT, or DEDICATED
 BUILD?=ALL
-
-# Build binary that uses SDL for sound (when BUILD is "ALL" or "CLIENT").
-SDLSOUND?=yes
 
 # Adds DATADIR/LIBDIR (see below) to the data and library search path.
 WITH_DATADIR?=no
@@ -55,7 +52,7 @@
 	_LIB := lib
 endif
 
-BASE_CFLAGS=$(CFLAGS) -Dstricmp=strcasecmp -D_stricmp=strcasecmp -I$(X11BASE)/include -fno-strict-aliasing -fmerge-constants -DHAVE_CURL
+BASE_CFLAGS=$(CFLAGS) -Dstricmp=strcasecmp -D_stricmp=strcasecmp -I$(X11BASE)/include -fno-strict-aliasing -fmerge-constants -DHAVE_CURL -lpthread
 
 # DATADIR / LIBDIR support.
 
@@ -74,7 +71,7 @@
 RELEASE_CFLAGS=$(BASE_CFLAGS)
 
 ifeq ($(strip $(OPTIMIZED_CFLAGS)),yes)
-RELEASE_CFLAGS+=-O$(OPTIM_LVL) -fomit-frame-pointer -fexpensive-optimizations
+RELEASE_CFLAGS+=-O$(OPTIM_LVL) -fomit-frame-pointer -fexpensive-optimizations -ffast-math
 
 ifeq ($(OSTYPE),linux)
 ifeq ($(ARCH),x86_64)
@@ -111,13 +108,15 @@
 
 GLXLDFLAGS=-L$(X11BASE)/$(_LIB) -L$(LOCALBASE)/$(_LIB) -lX11 -lXext -lXxf86dga -lXxf86vm -lm -ljpeg -lGL -lGLU
 
-SDLCFLAGS=$(shell sdl-config --cflags)
-SDLLDFLAGS=$(shell sdl-config --libs)
-
 SHLIBEXT=so
 SHLIBCFLAGS=-fPIC
 SHLIBLDFLAGS=-shared
 
+OPPENALCFLAGS+=$(shell pkg-config --cflags openal)
+
+VORBISCFLAGS+=$(shell pkg-config --cflags vorbisfile)
+VORBISLDFLAGS=$(shell pkg-config --libs vorbisfile)
+
 CURLCFLAGS=$(shell curl-config --cflags)
 CURLLDFLAGS=$(shell curl-config --libs)
 
@@ -126,7 +125,7 @@
 DO_CC=$(CC) $(CFLAGS) -o $@ -c $<
 DO_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) -o $@ -c $<
 DO_DED_CC=$(CC) $(CFLAGS) -DDEDICATED_ONLY -o $@ -c $<
-DO_DED_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) -DDEDICATED_ONLY -o $@ -c $<
+DO_DED_DEBUG_CC=$(CC) $(DEBUG_CFLAGS) -DDEDICATED_ONLY -DBUFFER_DEBUG -o $@ -c $<
 DO_O_CC=$(CC) $(CFLAGS) -O -o $@ -c $<
 DO_SHLIB_CC=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<
 DO_SHLIB_O_CC=$(CC) $(CFLAGS) -O $(SHLIBCFLAGS) -o $@ -c $<
@@ -136,6 +135,7 @@
 DO_AS=$(CC) $(CFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<
 DO_SHLIB_AS=$(CC) $(CFLAGS) $(SHLIBCFLAGS) -DELF -x assembler-with-cpp -o $@ -c $<
 
+
 DO_ARENA_SHLIB_CC=$(CC) $(CFLAGS) $(ARENA_CFLAGS) $(SHLIBCFLAGS) -o $@ -c $<
 
 #############################################################################
@@ -157,10 +157,6 @@
 ifeq ($(strip $(BUILD)),DEDICATED)
 	SDLSOUND=no
 	TARGETS+=$(BUILDDIR)/crded
-endif
-
-ifeq ($(strip $(SDLSOUND)),yes)
-	TARGETS+=$(BUILDDIR)/crx.sdl
 endif
 
 build-release:
@@ -190,25 +186,25 @@
 #############################################################################
 
 CODERED_OBJS = \
-	$(BUILDDIR)/client/cl_cin.o \
 	$(BUILDDIR)/client/cl_ents.o \
 	$(BUILDDIR)/client/cl_fx.o \
 	$(BUILDDIR)/client/cl_input.o \
 	$(BUILDDIR)/client/cl_inv.o \
+	$(BUILDDIR)/client/cl_irc.o \
 	$(BUILDDIR)/client/cl_main.o \
-	$(BUILDDIR)/client/cl_newfx.o \
 	$(BUILDDIR)/client/cl_parse.o \
 	$(BUILDDIR)/client/cl_pred.o \
 	$(BUILDDIR)/client/cl_tent.o \
 	$(BUILDDIR)/client/cl_scrn.o \
+	$(BUILDDIR)/client/cl_stats.o \
 	$(BUILDDIR)/client/cl_view.o \
 	$(BUILDDIR)/client/cl_http.o \
 	$(BUILDDIR)/client/console.o \
 	$(BUILDDIR)/client/keys.o \
 	$(BUILDDIR)/client/menu.o \
-	$(BUILDDIR)/client/snd_dma.o \
-	$(BUILDDIR)/client/snd_mem.o \
-	$(BUILDDIR)/client/snd_mix.o \
+	$(BUILDDIR)/client/snd_openal.o \
+	$(BUILDDIR)/client/snd_file.o \
+	$(BUILDDIR)/client/qal.o \
 	$(BUILDDIR)/client/qmenu.o \
 	\
 	$(BUILDDIR)/client/cmd.o \
@@ -236,6 +232,7 @@
 	$(BUILDDIR)/client/rw_unix.o \
 	$(BUILDDIR)/client/glob.o \
 	$(BUILDDIR)/client/net_udp.o \
+	$(BUILDDIR)/client/qal_unix.o \
 	\
 	$(BUILDDIR)/client/q_shared.o \
 	$(BUILDDIR)/client/pmove.o \
@@ -248,36 +245,26 @@
 	$(BUILDDIR)/ref_gl/r_mesh.o \
 	$(BUILDDIR)/ref_gl/r_misc.o \
 	$(BUILDDIR)/ref_gl/r_model.o \
-	$(BUILDDIR)/ref_gl/r_refl.o \
 	$(BUILDDIR)/ref_gl/r_math.o \
+	$(BUILDDIR)/ref_gl/r_particle.o \
+	$(BUILDDIR)/ref_gl/r_postprocess.o \
 	$(BUILDDIR)/ref_gl/r_script.o \
+	$(BUILDDIR)/ref_gl/r_shadowmaps.o \
+	$(BUILDDIR)/ref_gl/r_shadows.o \
 	$(BUILDDIR)/ref_gl/r_surf.o \
 	$(BUILDDIR)/ref_gl/r_vlights.o \
+	$(BUILDDIR)/ref_gl/r_varray.o \
+	$(BUILDDIR)/ref_gl/r_vbo.o \
 	$(BUILDDIR)/ref_gl/r_warp.o \
 	\
 	$(BUILDDIR)/ref_gl/qgl_unix.o
-
 
 REF_GL_GLX_OBJS = \
 	$(BUILDDIR)/ref_gl/gl_glx.o
 
-SOUND_OSS_OBJS = \
-	$(BUILDDIR)/client/snd_unix.o
-
-SOUND_SDL_OBJS = \
-	$(BUILDDIR)/client/snd_sdl.o
-
-CODERED_AS_OBJS = \
-	$(BUILDDIR)/client/snd_mixa.o
-
-$(BUILDDIR)/crx : $(CODERED_OBJS) $(SOUND_OSS_OBJS) $(CODERED_AS_OBJS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS)
-	$(CC) $(CFLAGS) -o $@ $(CODERED_OBJS) $(SOUND_OSS_OBJS) $(CODERED_AS_OBJS) $(LDFLAGS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS) $(GLXLDFLAGS) $(CURLLDFLAGS) $(JPEGLDFLAGS)
-
-$(BUILDDIR)/crx.sdl : $(CODERED_OBJS) $(SOUND_SDL_OBJS) $(CODERED_AS_OBJS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS)
-	$(CC) $(CFLAGS) -o $@ $(CODERED_OBJS) $(SOUND_SDL_OBJS) $(CODERED_AS_OBJS) $(LDFLAGS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS) $(GLXLDFLAGS) $(SDLLDFLAGS) $(CURLLDFLAGS) $(JPEGLDFLAGS)
-
-$(BUILDDIR)/client/cl_cin.o :     $(CLIENT_DIR)/cl_cin.c
-	$(DO_CC)
+
+$(BUILDDIR)/crx : $(CODERED_OBJS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS)
+	$(CC) $(CFLAGS) -o $@ $(CODERED_OBJS) $(LDFLAGS) $(REF_GL_OBJS) $(REF_GL_GLX_OBJS) $(GLXLDFLAGS) $(VORBISLDFLAGS) $(CURLLDFLAGS) $(JPEGLDFLAGS)
 
 $(BUILDDIR)/client/cl_ents.o :    $(CLIENT_DIR)/cl_ents.c
 	$(DO_CC)
@@ -290,13 +277,13 @@
 
 $(BUILDDIR)/client/cl_inv.o :     $(CLIENT_DIR)/cl_inv.c
 	$(DO_CC)
+	
+$(BUILDDIR)/client/cl_irc.o :     $(CLIENT_DIR)/cl_irc.c
+	$(DO_CC)
 
 $(BUILDDIR)/client/cl_main.o :    $(CLIENT_DIR)/cl_main.c
 	$(DO_CC)
 
-$(BUILDDIR)/client/cl_newfx.o :    $(CLIENT_DIR)/cl_newfx.c
-	$(DO_CC)
-
 $(BUILDDIR)/client/cl_parse.o :   $(CLIENT_DIR)/cl_parse.c
 	$(DO_CC)
 
@@ -308,6 +295,9 @@
 
 $(BUILDDIR)/client/cl_scrn.o :    $(CLIENT_DIR)/cl_scrn.c
 	$(DO_CC)
+	
+$(BUILDDIR)/client/cl_stats.o :    $(CLIENT_DIR)/cl_stats.c
+	$(DO_CC)
 
 $(BUILDDIR)/client/cl_view.o :    $(CLIENT_DIR)/cl_view.c
 	$(DO_CC)
@@ -319,16 +309,16 @@
 	$(DO_CC)
 
 $(BUILDDIR)/client/menu.o :       $(CLIENT_DIR)/menu.c
-	$(DO_CC)
-
-$(BUILDDIR)/client/snd_dma.o :    $(CLIENT_DIR)/snd_dma.c
-	$(DO_CC)
-
-$(BUILDDIR)/client/snd_mem.o :    $(CLIENT_DIR)/snd_mem.c
-	$(DO_CC)
-
-$(BUILDDIR)/client/snd_mix.o :    $(CLIENT_DIR)/snd_mix.c
-	$(DO_CC)
+	$(DO_CC) 
+	
+$(BUILDDIR)/client/snd_openal.o : $(CLIENT_DIR)/snd_openal.c
+	$(DO_CC) $(OPENALCFLAGS)
+
+$(BUILDDIR)/client/snd_file.o :    $(CLIENT_DIR)/snd_file.c
+	$(DO_CC) $(VORBISCFLAGS)
+
+$(BUILDDIR)/client/qal.o :        $(CLIENT_DIR)/qal.c
+	$(DO_CC) $(OPENALCFLAGS)
 
 $(BUILDDIR)/client/qmenu.o :      $(CLIENT_DIR)/qmenu.c
 	$(DO_CC)
@@ -358,7 +348,7 @@
 	$(DO_CC)
 
 $(BUILDDIR)/client/q_shared.o :   $(GAME_DIR)/q_shared.c
-	$(DO_DEBUG_CC)
+	$(DO_CC)
 
 $(BUILDDIR)/client/pmove.o :      $(COMMON_DIR)/pmove.c
 	$(DO_CC)
@@ -396,12 +386,6 @@
 $(BUILDDIR)/client/vid_so.o :     $(UNIX_DIR)/vid_so.c
 	$(DO_CC)
 
-$(BUILDDIR)/client/snd_unix.o :  $(UNIX_DIR)/snd_unix.c
-	$(DO_CC)
-
-$(BUILDDIR)/client/snd_mixa.o :   $(UNIX_DIR)/snd_mixa.s
-	$(DO_AS)
-
 $(BUILDDIR)/client/sys_unix.o :  $(UNIX_DIR)/sys_unix.c
 	$(DO_CC)
 
@@ -414,6 +398,9 @@
 $(BUILDDIR)/client/net_udp.o :    $(UNIX_DIR)/net_udp.c
 	$(DO_CC)
 
+$(BUILDDIR)/client/qal_unix.o :  $(UNIX_DIR)/qal_unix.c
+	$(DO_CC) $(OPENALCFLAGS)
+
 $(BUILDDIR)/client/cl_http.o :   $(CLIENT_DIR)/cl_http.c
 	$(DO_CC) $(CURLCFLAGS)
 
@@ -450,23 +437,34 @@
 $(BUILDDIR)/ref_gl/r_model.o :       $(REF_GL_DIR)/r_model.c
 	$(DO_GL_SHLIB_CC)
 
-$(BUILDDIR)/ref_gl/r_refl.o :       $(REF_GL_DIR)/r_refl.c
-	$(DO_GL_SHLIB_CC)
-
 $(BUILDDIR)/ref_gl/r_math.o :	    $(REF_GL_DIR)/r_math.c
 	$(DO_GL_SHLIB_CC)
+	
+$(BUILDDIR)/ref_gl/r_particle.o :	    $(REF_GL_DIR)/r_particle.c
+	$(DO_GL_SHLIB_CC)
+	
+$(BUILDDIR)/ref_gl/r_postprocess.o :	    $(REF_GL_DIR)/r_postprocess.c
+	$(DO_GL_SHLIB_CC)
+	
+$(BUILDDIR)/ref_gl/r_shadowmaps.o:     $(REF_GL_DIR)/r_shadowmaps.c
+	$(DO_GL_SHLIB_CC)
+	
+$(BUILDDIR)/ref_gl/r_shadows.o:     $(REF_GL_DIR)/r_shadows.c
+	$(DO_GL_SHLIB_CC)
 
 $(BUILDDIR)/ref_gl/r_vlights.o:     $(REF_GL_DIR)/r_vlights.c
 	$(DO_GL_SHLIB_CC)
 
+$(BUILDDIR)/ref_gl/r_varray.o:     $(REF_GL_DIR)/r_varray.c
+	$(DO_GL_SHLIB_CC)
+	
+$(BUILDDIR)/ref_gl/r_vbo.o:     $(REF_GL_DIR)/r_vbo.c
+	$(DO_GL_SHLIB_CC)
+
 $(BUILDDIR)/ref_gl/qgl_unix.o :      $(UNIX_DIR)/qgl_unix.c
 	$(DO_GL_SHLIB_CC)
 
 $(BUILDDIR)/ref_gl/gl_glx.o :      $(UNIX_DIR)/gl_glx.c
 	$(DO_GL_SHLIB_CC)
 
-$(BUILDDIR)/client/snd_sdl.o :     $(UNIX_DIR)/snd_sdl.c
-	$(DO_CC) $(SDLCFLAGS)
-
 #############################################################################
-# DEDICATED SERVER

=== debian/changelog ===
alien-arena (7.33-2) unstable; urgency=low

  * Fix help text wrapping in launcher scripts (closes: #566633).
  * Depend on alien-arena-data (>= ${source:Upstream-Version}) to make
    the package NMU-safe (closes: #566636).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 24 Jan 2010 14:42:07 -0500

alien-arena (7.33-1) unstable; urgency=high

  * New upstream release with many feature enhancments (closes: #592770).
    - Fixes CVE-2009-3637 remote arbitrary code execution (closes: #552038).
    - Server browser is now in-game.
    - This version is believed to address a couple very old crashes
      (closes: #467387, #437461).
  * Eliminated bashisms from launcher scripts (closes: #530040).
  * Add support for new upstream file naming scheme to watch file
    (closes: #513659).
  * Updated to use source format version 3.0.
  * Config directory has been moved to '~/.config/alien-arena' to adhere
    to the latest freedesktop standards.
  * Shared client/server files are now located in the alien-arena-common
    package.
  * Updated to standards version 3.8.3.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 17 Jan 2010 16:56:23 -0500

alien-arena (7.0-1) unstable; urgency=low

  [ Barry deFreese ]
  * Escape - in alien-arena-server.6.
  * Add myself to uploaders.

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file.

  [ Gonéri Le Bouder ]
  * Remove Homepage from package description.

  [ Andres Mejia ]
  * New upstream release.
  * Removing XS- part for Vcs-* lines.
  * Removing +ssh part of Vcs-Svn line.
  * Bumped to Standards-Version 3.7.3.
  * Test for existence of *-stamp stamps before removing them.
  * Removed Encoding field in desktop file.
  * Modify patch for upstream Makefile to make Makefile more useful in building
    Debian packages.
    + Also fixes problem not detecting the existence of libcurl.
  * Remove debug packages for release. Will support nostrip option instead.
  * Add description for fix-CVE-2007-4754-CVE-2007-4755.dpatch, silences
    lintian warning.
  * Add new link for watchfile.
    + Closes: #453555
  * Moved debian/scripts/alien-arena-tarball.sh to
    debian/alien-arena-get-orig-source.
  * Modified alien-arena-data-get-orig-source to make it easier to maintain.
  * Switched from dpatch to quilt.
  * Cut down package description.
  * Closing bug about mouse constantly looking up. The submitter could not
    reproduce the bug after deleting the ~/.alien-arena directory.
    + Closes: #457700
  * Updated copyright file for new release.
  * Updated README.Debian files.
  * Adding new images for icons. Need build dependency on sharutils.

 -- Andres Mejia <mcitadel@gmail.com>  Fri, 18 Apr 2008 17:43:24 -0400

alien-arena (6.10-2) unstable; urgency=low

  [ Andres Mejia ]
  * Added notice about the use of the Quake II engine.
  * Took out notice about wrong file being released for version 6.05.

 -- Andres Mejia <mcitadel@gmail.com>  Tue, 13 Nov 2007 17:14:01 -0500

alien-arena (6.10-1) unstable; urgency=low

  [ Andres Mejia ]
  * New upstream release.
  * New dependency of libcurl4-gnutls-dev added to control file.
  * Homepage field added in control file.
  * XS-Vcs-Svn field fixed in control file.
  * Using new icon from upstream.
  * Modified fix-CVE-2007-4754-CVE-2007-4755 patch as some fixes were patched
    upstream.
  * Added tofrodos needed to patch a file.
  * Added dependency on libpng12-dev.
  * Added optional dependencies for libsdl, libjpeg, libgl, and libglu to make
    package more binNMU friendly.
  * Added package for ruby browser.
  * Adding script to generate orig tarball.

 -- Andres Mejia <mcitadel@gmail.com>  Sat, 10 Nov 2007 21:24:23 -0500

alien-arena (6.05-4.1) unstable; urgency=high

  * Non-maintainer upload by testing security team.
  * Included fix-CVE-2007-4754-CVE-2007-4755.dpatch to
    fix format string vulnerability and possible denial of service
    via client_connect (CVE-2007-4754, CVE-2007-4755) (Closes: #442075).

 -- Nico Golde <nion@debian.org>  Sat, 15 Sep 2007 02:39:15 +0200

alien-arena (6.05-4) unstable; urgency=low

  [ Andres Mejia ]
  * Addressing lintian debian-rules-ignores-make-clean-error warning.

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 16 Aug 2007 17:55:12 -0400

alien-arena (6.05-3) unstable; urgency=low

  [ Linas Žvirblis ]
  * update menu section to "Games/Action" for menu policy transition.

  [ Cyril Brulebois ]
  * Added XS-Vcs-Svn and XS-Vcs-Browser fields in the control file.

 -- Andres Mejia <mcitadel@gmail.com>  Sun, 12 Aug 2007 12:18:24 -0400

alien-arena (6.05-2) unstable; urgency=low

  * Changing scripts to use "echo -e" instead of just "echo".
    + Fixes help text formatting. (Closes: #436928)

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 09 Aug 2007 22:42:01 -0400

alien-arena (6.05-1) unstable; urgency=low

  * Initial packaging (closes: bug#424951)

 -- Andres Mejia <mcitadel@gmail.com>  Thu, 14 Jun 2007 19:44:45 -0400

=== debian/control ===
Source: alien-arena
Section: contrib/games
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Michael Gilbert <michael.s.gilbert@gmail.com>, Barry deFreese <bddebian@comcast.net>
Build-Depends: debhelper (>= 5), sharutils, tofrodos, libglu1-mesa-dev | libglu-dev, libgl1-mesa-dev | libgl-dev, libjpeg62-dev | libjpeg-dev, libpng12-dev | libpng-dev, libxxf86vm-dev, libxxf86dga-dev, libxext-dev, libx11-dev, libcurl4-gnutls-dev | libcurl3-gnutls-dev, libopenal-dev, libvorbis-dev
Standards-Version: 3.8.3
Homepage: http://red.planetarena.org
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/alien-arena/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/alien-arena/?op=log

Package: alien-arena
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, alien-arena-common (= ${binary:Version})
Description: Standalone 3D first person online deathmatch shooter
 ALIEN ARENA is a standalone 3D first person online deathmatch shooter
 crafted from the original source code of Quake II and Quake III, released
 by id Software under the GPL license. With features including 32 bit
 graphics, new particle engine and effects, light blooms, reflective water,
 hi resolution textures and skins, hi poly models, stain maps, ALIEN ARENA
 pushes the envelope of graphical beauty rivaling today's top games.
 .
 This package installs the SDL client for Alien Arena.

Package: alien-arena-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, alien-arena-common (= ${binary:Version}), ruby
Description: Dedicated server for Alien Arena
 ALIEN ARENA is a standalone 3D first person online deathmatch shooter
 crafted from the original source code of Quake II and Quake III, released
 by id Software under the GPL license. With features including 32 bit
 graphics, new particle engine and effects, light blooms, reflective water,
 hi resolution textures and skins, hi poly models, stain maps, ALIEN ARENA
 pushes the envelope of graphical beauty rivaling today's top games.
 .
 This package installs the dedicated server for Alien Arena.

Package: alien-arena-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, alien-arena-data (>= ${source:Upstream-Version})
Replaces: alien-arena (<< 7.33-1)
Description: Common files for Alien Arena client and server
 ALIEN ARENA is a standalone 3D first person online deathmatch shooter
 crafted from the original source code of Quake II and Quake III, released
 by id Software under the GPL license. With features including 32 bit
 graphics, new particle engine and effects, light blooms, reflective water,
 hi resolution textures and skins, hi poly models, stain maps, ALIEN ARENA
 pushes the envelope of graphical beauty rivaling today's top games.
 .
 This package installs the common files for Alien Arena.

=== debian/rules ===
#! /usr/bin/make -f
# -*- makefile -*-

# Used for cross-compiling.
DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
   OPTIMIZED_CFLAGS=no
else
   OPTIMIZED_CFLAGS=yes
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
   TYPE=release
else
   TYPE=debug
endif

fromdos: fromdos-stamp
fromdos-stamp:
	dh_testdir
	fromdos source/server/sv_main.c
	touch fromdos-stamp

build: fromdos build-stamp
build-stamp:
	dh_testdir
	cd source && \
		$(MAKE) build-$(TYPE) \
		OPTIMIZED_CFLAGS=$(OPTIMIZED_CFLAGS) CC=$(DEB_HOST_GNU_TYPE)-gcc
	touch build-stamp

clean: clean-patched todos
clean-patched:
	dh_testdir
	dh_testroot
	cd source && $(MAKE) uninstall distclean
	dh_clean
	[ ! -f build-stamp ] || rm build-stamp

todos:
	dh_testdir
	todos source/server/sv_main.c
	[ ! -f fromdos-stamp ] || rm fromdos-stamp

install: build
	dh_testdir
	dh_testroot
	dh_install
# Rename png icon
	uudecode -o \
		debian/alien-arena/usr/share/pixmaps/alien-arena.png \
		debian/alien-arena.png.uu

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -palien-arena
	dh_strip -palien-arena-server
	dh_strip -palien-arena-common
endif
	dh_installchangelogs -a
	dh_installdocs -a -Xlicense.txt
	dh_installman -palien-arena debian/alien-arena.6
	dh_installman -palien-arena-server debian/alien-arena-server.6
	dh_installdirs -a
	dh_link -a
	dh_installmenu -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_compress -a
	dh_fixperms -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

# Build architecture-independent files here.
binary-indep: build install

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary-indep binary install
